Subject: Please put current file name in the prompt for rename-file

From: Lennart Borgman <[email-masked]>
Date: Tue, 28 Dec 2010 01:41:50 +0100

The prompt for `rename-file' does not currently show the old file name
thought it is in the history for the prompt.

This is probably confusing for new users of the command. Wouldn't it
be better if the prompt should the current file name at init? (This
would be rather similar to what for example Windows Explorer does when
are renaming a file. And I guess this is common to must GUI:s.)

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2010-12-15 on LENNART-69DE564